oozie on spark2:运行Oozie中自带的Yarn出现问题

  1. 运行Oozie中自带的Yarn出现问题:
Error: Could not load YARN classes. This copy of Spark may not have been compiled with YARN support.
Run with --help for usage help or --verbose for debug output
Intercepting System.exit(1)
Failing Oozie Launcher, Main class [org.apache.oozie.action.hadoop.SparkMain], exit code [1]
log4j:WARN No appenders could be found for logger (org.apache.hadoop.mapreduce.v2.app.MRAppMaster).
log4j:WARN Please initialize the log4j system properly.
log4j:WARN See http://logging.apache.org/log4j/1.2/faq.html#noconfig for more info.

解决方案

将HDFS上的/user/root/share/lib/lib_20180814191755/spark包中的类进行替换
1. 删除HDFS中的Jar包
2. 重新上传本地Spark目录中的Jar包
3. 重新运行任务
©️2020 CSDN 皮肤主题: 大白 设计师:CSDN官方博客 返回首页